Package org.pushingpixels.trident.callback

# Interface TimelineCallback

All Known Implementing Classes:
  `SwingRepaintCallback`, `SWTRepaintCallback`, `TimelineCallbackAdapter`, `UIThreadTimelineCallbackAdapter`

public interface TimelineCallback
Callback for the fade tracker. Is used when the application (some UI delegate) wishes to execute some code on the fade.

## Method Summary

Modifier and Type
Method
Description
`void`
`onTimelinePulse(float durationFraction, float timelinePosition)`
Indicates that the timeline pulse has happened.
`void`
`onTimelineStateChanged(Timeline.TimelineState oldState, Timeline.TimelineState newState, float durationFraction, float timelinePosition)`
Indicates that the timeline state has changed.

## Method Details

### onTimelineStateChanged

void onTimelineStateChanged(Timeline.TimelineState oldState, Timeline.TimelineState newState, float durationFraction, float timelinePosition)
Indicates that the timeline state has changed.

Parameters:
  `oldState` - The old timeline state.
  `newState` - The new timeline state.
  `durationFraction` - The current timeline duration fraction.Is guaranteed to be in 0.0-1.0 range. The rate of change of this value is linear, and the value is proportional to `Timeline.setDuration(long)`.
  `timelinePosition` - The current timeline position. Is guaranteed to be in 0.0-1.0 range. The rate of change of this value is not necessarily linear and is affected by the `Timeline.setEase(org.pushingpixels.trident.ease.TimelineEase)` .

### onTimelinePulse

void onTimelinePulse(float durationFraction, float timelinePosition)
Indicates that the timeline pulse has happened.

Parameters:
  `durationFraction` - The current timeline duration fraction.Is guaranteed to be in 0.0-1.0 range. The rate of change of this value is linear, and the value is proportional to `Timeline.setDuration(long)`.
  `timelinePosition` - The current timeline position. Is guaranteed to be in 0.0-1.0 range. The rate of change of this value is not necessarily linear and is affected by the `Timeline.setEase(org.pushingpixels.trident.ease.TimelineEase)` .